####################################################
# Optimizations
#   - Service source moved to the dimension header since it's referenced in every rule
#   - All rules for the same element collapsed to a single rule
#   - Inline, array notation used for elements with multiple matching values
#   ----------------
#   - NOTE - This dimension uses the CZ:Defined:ServiceDisplay source which maps to service display names
####################################################
  Customer:
    Name: Customer
    Source: CZ:Defined:ServiceDisplay
    Rules:
      - Type: Group
        Name: Acme
        Conditions:
          - Equals: [RDS, BigQuery]
      - Type: Group
        Name: Apple
        Conditions:
          - Source: Service
            Equals: [S3, Cloud Storage, microsoft.storage]
      - Type: Group
        Name: Internal
        Conditions:
          - Equals: [EC2, Compute Engine]
      - Type: Group
        Name: Tesla
        Conditions:
          - Equals: [CloudWatch, microsoft.insights]